package classes;

import java.util.ArrayList;

import Interfaces.ComparableObject;

public class Category implements ComparableObject{
	
	private int id;
	private ArrayList<CpsObject> objects;
	private String name;
	
	public Category(String name){
		setObjects(new ArrayList<CpsObject>());
		setName(name);
		id = -1;
	}

	/**
	 * @return the objects
	 */
	public ArrayList<CpsObject> getObjects() {
		return objects;
	}

	/**
	 * @param objects the objects to set
	 */
	public void setObjects(ArrayList<CpsObject> objects) {
		this.objects = objects;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	@Override
	public String getCompareName() {
		return getName();
	}

	@Override
	public int getID() {
		return id;
	}
	
}
